# Uses of Interface
com.sun.source.doctree.RawTextTree

Packages that use RawTextTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of RawTextTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type RawTextTree
Modifier and Type
Method
Description
`default R`
DocTreeVisitor.`visitRawText(RawTextTree node, P p)`
Visits a `RawTextTree` node.

## Uses of RawTextTree in com.sun.source.util

Methods in com.sun.source.util that return RawTextTree
Modifier and Type
Method
Description
`RawTextTree`
DocTreeFactory.`newRawTextTree(DocTree.Kind kind, String code)`
Creates a new `RawTextTree` object, to represent a fragment of uninterpreted raw text.
Methods in com.sun.source.util with parameters of type RawTextTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitRawText(RawTextTree node, P p)`
Visits a `RawTextTree` node.
`R`
SimpleDocTreeVisitor.`visitRawText(RawTextTree node, P p)`
Visits a `RawTextTree` node.